Bug 104493 - [patch] Wrong description in ntp.conf(5) (CURRENT and 6.2-BETA2)
Summary: [patch] Wrong description in ntp.conf(5) (CURRENT and 6.2-BETA2)
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2006-10-17 13:50 UTC by WATANABE Kazuhiro
Modified: 2018-08-05 06:31 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.64 KB, patch)
2006-10-17 13:50 UTC, WATANABE Kazuhiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description WATANABE Kazuhiro 2006-10-17 13:50:22 UTC
In ntp.conf(5), there is a wrong description:

 allan allan
         The argument becomes the new value for the minimum Allan
         intercept, which is a parameter of the PLL/FLL clock dis-
         cipline algorithm.  The value in log2 seconds defaults to
         7 (1024 s), which is also the lower limit.

Yes.  log2(1024) is not 7, but 10.  There is also the same description
in /usr/share/doc/ntp/miscopt.html, and they have been obsoleted.

=46rom ntp-4.2.0 (currently contributed in FreeBSD) and later,
this variable "allan" is set a real number (not an exponential number)
and defaults to 1500.

The default value is defined in src/contrib/ntp/ntpd/ntp_loopfilter.c.
The old version (ntp-4.1.2) was:

 #define CLOCK_ALLAN     10      /* min Allan intercept (log2 s) */

and the recent version (ntp-4.2.0 and later) is:

 #define CLOCK_ALLAN     1500.   /* compromise Allan intercept (s) */


The description has fixed in ntp-4.2.2:

 allan allan
         The argument becomes the new value for the Allan
         intercept, which is a parameter of the PLL/FLL clock
         discipline algorithm. The value is in seconds with
         default 1500 s, which is appropriate for most computer
         clocks.

Fix: Here is a patch for CURRENT.
How-To-Repeat: man ntp.conf
Comment 1 Tom Rhodes freebsd_committer 2008-01-26 04:37:38 UTC
Responsible Changed
From-To: freebsd-doc->roberto

roberto maintains NTP.  The ntp.conf.5 change may be applied now; however, 
the change to miscopt.html would take the file from the vendor branch.  Assign 
to Ollivier.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:44 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped